Subject: Re: [PATCH v2 2/3] safe.directory: normalize the configured path

From: Junio C Hamano <[email-masked]>
Date: Wed, 14 Aug 2024 10:15:06 -0700

Phillip Wood <[email-masked]> writes:

> On 25/07/2024 17:11, Junio C Hamano wrote:
>> Phillip Wood <[email-masked]> writes:
>> 
>>> I think this is sensible if the key is an absolute path, if the key is
>>> a relative path I think we should ignore it as it is not clear which
>>> directory the user meant.
>> The only thing that worries me in that proposal is that doing so
>> would break a configuration that used to work.  I'd rather leave
>> the tightening of it to future work with its own justification.
>
> As far as I know the only caller that tried to match a relative
> directory was enter_repo(), all of the other code paths pass an
> absolute path from getcwd(). Before this series git daemon required
> the relative directory "." to be specified in addition to the absolute
> path so that will not be broken by removing support for relative
> directories. Are there other users of enter_repo() that still rely on
> being able to match relative paths?

Offhand I do not know of any, but no guarantees.  I am tempted to
leave it as a prerequisite task for those who want to tighten this
codepath further.